%global packname  ragg
%global rlibdir  %{_libdir}/R/library
%global debug_package %{nil}

Name:             R-%{packname}
Version:          1.2.5
Release:          5%{?dist}
Summary:          Graphic Devices Based on AGG

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-systemfonts >= 1.0.3, R-textshaping >= 0.3.0
# Suggests:  R-covr, R-graphics, R-grid, R-testthat
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-systemfonts-devel >= 1.0.3
BuildRequires:    R-textshaping-devel >= 0.3.0
BuildRequires:    pkgconfig(freetype2), pkgconfig(libpng), pkgconfig(libtiff-4), pkgconfig(libjpeg)


%description
Anti-Grain Geometry (AGG) is a high-quality and high-performance 2D drawing
library. The 'ragg' package provides a set of graphic devices based on AGG
to use as alternative to the raster devices provided through the
'grDevices' package.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs/ragg.so




%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.2.5-5
- fix build requires
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.2.5-4
- fix build requires
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.2.5-3
- add build requires
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.2.5-2
- trim build deps (don't include Suggests)
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.2.5-1
- initial package for Fedora
